/* SOBRE MÍ */

/* ACERCA DE MÍ */

.grupo-sobremi {
    height: fit-content;
    margin-bottom: 100px;
    margin-top: 50px;
}

.grupo-sobremi p {
    font-size: 1.1rem;
}

.foto-sobremi {
    display: inline-block;
    width: 35%;
    height: 500px;
    overflow: hidden;
    border-radius: 40px;
    margin-right: 80px;
    margin-left: 150px;
}

.foto-sobremi img {
    width: 100%;
    margin-top: -100px;
    border-radius: 40px;
}

.parrafo-sobremi {
    display: inline-block;
    width: 30%;
    vertical-align: top;
}

.texto-sobremi {
    text-align: justify;
    margin-top: 50px;
}

.boton-sobremi img {
    width: 35px;
    height: 35px;
    transform: rotate(45deg);
    margin-bottom: -11px;
    transition: all 0.4s ease;
}

.texto-sobremi a, .boton-sobremi a {
    font-family: "Open Sauce", sans-serif;
    font-size: 1.1rem;
    font-style: italic;
    font-weight: bold;
    color: #464545;
}

.texto-sobremi a:hover, .boton-sobremi a:hover {
    color: #161616;
}

/* EDUCACIÓN */

.grupo-educacion {
    width: fit-content;
    margin: 50px auto;
}

.educacion {
    text-align: left;
    border-left: 2px solid #464545;
    border-radius: 2px;
    padding-left: 30px;
    margin: 50px auto;
}

.educacion h3 {
    font-size: 1.1rem;
    font-family: 'Open Sauce';
    font-weight: bold;
    color: #464545;
    margin-bottom: 10px;
}

.educacion p {
    font-weight: lighter;
    margin: 10px auto;
}

.educacion .cursiva {
    font-style: italic;
}

/* HERRAMIENTAS */

.grupo-herramientas {
    text-align: center;
    margin-top: 50px;
    margin-bottom: 50px;
}

.grupo-herramientas {
    display: grid;
    grid-template-columns: 30% 20%;
    column-gap: 5rem;
    justify-content: center;
    text-align: left;
}

.herramientas h3 {
    font-size: 1.1rem;
    font-family: 'Open Sauce';
    font-weight: bold;
    color: #464545;
    margin: 0;
}

.herramientas img {
    width: 30px;
    height: 30px;
    margin-left: auto;
    transition: transform 0.3s ease;
}

.herramientas.active img {
    transform: rotate(-90deg);
}

.herramientas {
    display: flex;
    margin-bottom: 20px;
    cursor: pointer;
    border: 2px solid #464545;
    border-radius: 15px;
    padding: 10px;
}

.herramientas-contenidos h3 {
    font-size: 1.1rem;
    font-family: 'Open Sauce';
    font-weight: normal;
    color: #464545;
    margin-bottom: 10px;
    margin-top: 0;
}

.herramientas-contenidos>div {
    display: none;
    transition: all 0.5s ease;
}

.herramientas-contenidos>div:first-child {
    display: block;
}


/* HABILIDADES */

.grupo-habilidades {
    display: grid;
    grid-template-columns: 30% 30% 30%;
    column-gap: 3rem;
    justify-content: center;
    text-align: center;
    margin: 50px auto;
    margin-bottom: 100px;
}

.habilidades {
    border: 2px solid #464545;
    border-radius: 15px;
    padding: 20px;
    margin-bottom: 20px;
    text-align: left;
}

.habilidades h3 {
    font-size: 1rem;
    font-family: 'Open Sauce';
    font-weight: bold;
    color: #464545;
    margin: 0;
}

.habilidades p {
    width: fit-content;
    margin: 0;
    margin-top: 20px;
    cursor: pointer;
}

.habilidades p:hover {
    text-decoration: underline;
}

/* POPUP */

.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 4;
}

.popup {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80%;
    max-width: 400px;
    background-color: #f2e8da;
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    z-index: 5;
    font-family: 'Open Sauce';
    color: #464545;
}

.popup h3 {
    margin-top: 25px;
}

.popup .cerrar {
    width: 25px;
    display: block;
    float: right;
    cursor: pointer;
    color: #464545;
}


@media screen and (max-width: 700px) { 

    .foto-sobremi {
        display: block;
        width: 100%;
        height: 360px;
        margin: auto;
    }

    .parrafo-sobremi {
        display: block;
        width: 100%;
    }

    .grupo-educacion {
        width: 100%;
    }

    .grupo-herramientas {
        grid-template-columns: 60% 30%;
        column-gap: 2rem;
    }

    .grupo-habilidades {
        grid-template-columns: 45% 45%;
        column-gap: 2rem;
        justify-content: center;
        text-align: center;
        margin: 50px auto;
        margin-bottom: 100px;
    }

}